import { mkdirSync } from 'fs';
import { loadJsonFile } from './load-json-file.js';
export class Configuration {
    appDataPath;
    cachePath;
    cacheStateFilename;
    lockFilename;
    pidFilename;
    configFilename;
    ngrokBinPath;
    /* Configuration values - set in config.json by TIKE */
    port;
    /* ngrok Configuration */
    useNgrok;
    ngrokControlPort;
    ngrokToken;
    ngrokVisible;
    ngrokEndpoint = '';
    constructor() {
        this.appDataPath = (process.env.APPDATA ||
            (process.platform == 'darwin' ? process.env.HOME + '/Library/Preferences' : process.env.HOME + "/.local/share")) +
            '/Keyman/Keyman Developer/Server/';
        this.cachePath = this.appDataPath + 'cache/';
        this.cacheStateFilename = this.appDataPath + 'cache.json';
        this.lockFilename = this.appDataPath + 'lock.json';
        this.pidFilename = this.appDataPath + 'pid.json';
        this.configFilename = this.appDataPath + 'config.json';
        mkdirSync(this.cachePath, { recursive: true });
        const cfg = loadJsonFile(this.configFilename);
        this.port = cfg?.port ?? 8008;
        // ngrok configuration
        this.useNgrok = cfg?.useNgrok ?? false;
        this.ngrokBinPath = this.appDataPath + 'bin/';
        this.ngrokControlPort = cfg?.ngrokControlPort ?? 8009;
        this.ngrokToken = cfg?.ngrokToken ?? '';
        this.ngrokVisible = cfg?.ngrokVisible ?? false;
    }
}
;
export const configuration = new Configuration();
//# sourceMappingURL=config.js.map