import { TouchLayout } from "@keymanapp/common-types";
import { VisualKeyboard } from "@keymanapp/common-types";
export interface StringRefUsage {
    filename: string;
    count: number;
}
export interface StringRef {
    str: string;
    usages: StringRefUsage[];
}
/**
 * Represents a single key cap found by `AnalyzeOskCharacterUse`
 */
export interface StringResult {
    /** the key cap string */
    str: string;
    /** unicode code points in <str> for reference, without 'U+' prefix, e.g. '0061 0301' */
    unicode: string;
    /** hexadecimal single character in PUA range, without 'U+' prefix, e.g. 'F100' */
    pua: string;
    /** files in which the string is referenced; will be an array of
     * {@link StringRefUsage} if includeCounts is true, otherwise will be an array
     * of strings listing files in which the key cap may be found */
    usages: StringRefUsage[] | string[];
}
export type PuaMap = {
    [index: string]: string;
};
export declare function parseMapping(mapping: any): PuaMap;
export declare function remapVisualKeyboard(vk: VisualKeyboard.VisualKeyboard, map: PuaMap): boolean;
export declare function remapTouchLayout(source: TouchLayout.TouchLayoutFile, map: PuaMap): boolean;
//# sourceMappingURL=osk.d.ts.map